<template>
  <div class="">
    <div class="main">
      <h2 class="sub-title">Release</h2>
      <a-row :gutter="12">
        <a-col
          class="gutter-row"
          :xs="{ span: 12 }"
          :sm="{ span: 12 }"
          :md="{ span: 8 }"
          :lg="{ span: 6 }"
          :xxl="{ span: 4 }"
          v-for="(item, ind) in listMusic"
          :key="ind">
          <div class="category">
            <div class="background" @click="playMusic(item)">
              <div class="wrap-image square">
                <img :src="item.img_thumb || item.img_banner" />
                <span class="btn-play">
                  <a-icon type="caret-right" />
                </span>
              </div>
              <h3 class="title">{{ item.name }}</h3>
              <div class="description">{{ item.description || item.content }}</div>
            </div>
          </div>
        </a-col>
      </a-row>
    </div>
  </div>
</template>

<style>
.card-chart .ant-card-body .ant-card-meta-title {
  color: #fff !important;
}
.card-chart .ant-card-body .ant-card-meta-description {
  color: rgb(201, 198, 198) !important;
  font-size: 11px;
}
.ant-card-body {
  padding: 10px 0px !important;
}
</style>
<style scoped>
.card-chart {
  width: 240px;
  height: 240px;
  border: unset;
  background-color: transparent;
  color: #fff;
  margin-bottom: 100px;
}
.card-chart img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.ant-card-body {
  padding: unset;
  color: #fff !important;
}
h1 {
  color: blue;
}

.items {
  list-style: none;
  margin-left: -60px;
}

.item {
  text-align: left;
  width: 150px;
  padding: 20px 20px 20px 20px;
}

.item b {
  font-size: 1.2em;
}

.item span {
  color: #929292;
}

ul.items li {
  display: inline;
  float: left;
  margin-left: 20px;
  margin-top: 20px;
  background: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  cursor: pointer;
  position: relative;
}

ul.items li:hover {
  background: rgba(133, 132, 132, 0.4);
}

.photo {
  width: 110px;
  height: 130px;
}

.main-photo {
  position: relative;
}

.photo img {
  position: absolute;
}

.play {
  float: right;
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50px;
  height: 50px;
}

.card-title {
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: rgb(0 0 0 / 63%);
  top: 0;
  left: 0;
}

.card-title .card-title_title {
  color: #fff;
  text-transform: capitalize;
  font-weight: 500;
  text-align: center;
}

.card-title .card-title_title a {
  font-size: 1rem;
  color: #fff;
  line-height: 351px;
}

.card-title .card-title_title a:hover {
  text-decoration: underline;
  color: #fff;
  line-height: 351px;
}
.background-slot {
  background-color: #1514146e;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  visibility: hidden;
}
.card-chart:hover img {
  opacity: 0.5;
}
.card-chart:hover .background-slot {
  visibility: visible;
  transition: 0.3s;
}
.background-slot .group-icon {
  font-size: 24px;
  text-align: center;
  width: 100%;
  vertical-align: middle;
  position: absolute;
  top: 35%;
}
.background-slot .group-icon i {
  padding: 0 10px;
}
.group-icon .anticon-play-circle {
  font-size: 45px;
}
@media only screen and (max-width: 768px) {
  .card-chart {
    width: 100%;
    height: 100%;
    border: unset;
    background-color: transparent;
    color: #fff;
    margin-bottom: 100px;
  }
  .card-chart img {
    width: 100%;
    height: 130px;
  }
}
</style>

<script>
import service from "../service.js";

export default {
  data() {
    return {
      listMusic: []
    };
  },
  methods: {
    playMusic(item) {
      if (!item.song_file) return;

      this.$store.dispatch("player/playMusic", {
        url: item.song_file,
        title: item.name,
        artist: item.artist_name,
        photo: item.img_thumb || item.img_banner
      });

      let playlist = this.listMusic.map(item => ({
        id: item.id,
        url: item.song_file,
        title: item.name,
        artist: item.artist_name,
        photo: item.img_thumb || item.img_banner
      }))
      this.$store.commit('player/setPlaylist', playlist);
    },
    async callServiceData() {
      const token = localStorage.getItem('Authorization');
      const params = {
        name: 'n',
      }
      if (token) {
        params.token = token;
      }

      let res = await service.get('/list-song/view-more-list', { params });

      if (!res || !res.data || res.data.code !== 200 || !res.data.data) return;
      this.listMusic = res.data.data.data || [];
    }
  },
  mounted() {
    this.callServiceData();
  }
};
</script>
